package com.shulead.datasync.config;

import org.springframework.context.annotation.Bean;
import com.aliyun.teaopenapi.models.*;

/**
 * @Classname Configration
 * @Description TODO
 * @Version 1.0.0
 * @Date 2024/5/7 10:20
 * @Created by liuxiangshun
 */
@org.springframework.context.annotation.Configuration
public class Configuration {
    @Bean("yiDaClient")
    public com.aliyun.dingtalkyida_1_0.Client getClient() throws Exception {
        Config config = new Config();
        config.protocol = "https";
        config.regionId = "central";
        return new com.aliyun.dingtalkyida_1_0.Client(config);
    }

    @Bean("authClient")
    public com.aliyun.dingtalkoauth2_1_0.Client createClient() throws Exception {
        com.aliyun.teaopenapi.models.Config config = new com.aliyun.teaopenapi.models.Config();
        config.protocol = "https";
        config.regionId = "central";
        return new com.aliyun.dingtalkoauth2_1_0.Client(config);
    }
}
